## LassoSamlAttributeValue

LassoSamlAttributeValue — value of an attribute in SAML 1.0/1.1 assertion

## Functions

LassoSamlAttributeValue * | lasso_saml_attribute_value_new ()

## Types and Values

struct | LassoSamlAttributeValue

## Includes

    #include <lasso/xml/saml_attribute_value.h>

## Description

Figure 27. Schema fragment for samlp2:Extensions

    <element name="AttributeValue" type="anyType"/>

This object support a special of specifying its content. If the `any` field is `NULL`, then you can attach an xmlNode using `lasso_node_set_original_xmlnode()` and it will be used to generate the content of the serialized

xmlNode for this object. The content (attributes, childrent and namespaces) of the xmlNode will be copied to the result node returned by calls to

lasso_node_get_xmlNode().

## Functions

### lasso_saml_attribute_value_new ()

    LassoSamlAttributeValue *
    lasso_saml_attribute_value_new (void);

## Types and Values

### struct LassoSamlAttributeValue

    struct LassoSamlAttributeValue {
    	LassoNode parent;

    	GList *any; /* of LassoNode */
    };

## See Also

LassoSamlAttribute, LassoSamlAttributeStatement, LassoSamlAssertion